### Hierarchy

- AsyncStorageAdapter

### Implements

- Storage

## Index

### Constructors

- constructor

### Properties

- api

### Methods

- clearAll
- getAllKeys
- getItem
- getJson
- multiRemove
- removeItem
- setItem
- setJson

## Constructors

### constructor

- new AsyncStorageAdapter(api: any): AsyncStorageAdapter

- - Defined in storage/ClientStorage.ts:67

  #### Parameters

  - ##### api: any

  #### Returns AsyncStorageAdapter

## Properties

### api

api: any

- Defined in storage/ClientStorage.ts:69

## Methods

### clearAll

- clearAll(): any

- Implementation of Storage.clearAll

  - Defined in storage/ClientStorage.ts:103

  #### Returns any

### getAllKeys

- getAllKeys(): any

- Implementation of Storage.getAllKeys

  - Defined in storage/ClientStorage.ts:107

  #### Returns any

### getItem

- getItem(key: string): any

- Implementation of Storage.getItem

  - Defined in storage/ClientStorage.ts:71

  #### Parameters

  - ##### key: string

  #### Returns any

### getJson

- getJson(key: string): any

- Implementation of Storage.getJson

  - Defined in storage/ClientStorage.ts:75

  #### Parameters

  - ##### key: string

  #### Returns any

### multiRemove

- multiRemove(keys: Array<string>): any

- Implementation of Storage.multiRemove

  - Defined in storage/ClientStorage.ts:111

  #### Parameters

  - ##### keys: Array<string>

  #### Returns any

### removeItem

- removeItem(key: string): any

- Implementation of Storage.removeItem

  - Defined in storage/ClientStorage.ts:99

  #### Parameters

  - ##### key: string

  #### Returns any

### setItem

- setItem(key: string, value: string): any

- Implementation of Storage.setItem

  - Defined in storage/ClientStorage.ts:85

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns any

### setJson

- setJson(key: string, value: any): any

- Implementation of Storage.setJson

  - Defined in storage/ClientStorage.ts:89

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns any

Generated using TypeDoc